SSL_DUP_CA_LIST(3)

NAME
SSL_dup_CA_list - deep copy of a stack of X.509 Name objects

SYNOPSIS
STACK_OF(X509_NAME) *
SSL_dup_CA_list(STACK_OF(X509_NAME) *sk);

DESCRIPTION
SSL_dup_CA_list() constructs a new STACK_OF(X509_NAME) object and places copies of all the X509_NAME objects found on sk on it.

RETURN VALUES
SSL_dup_CA_list() returns the new STACK_OF(X509_NAME) or NULL on failure.

SEE ALSO
SSL_CTX_set_client_CA_list(3), SSL_get_client_CA_list(3), SSL_load_client_CA_file(3), X509_NAME_new(3)

HISTORY
SSL_dup_CA_list() is available in all versions of OpenSSL.